The officially official Devuan Forum!

You are not logged in.

#1 2017-01-20 16:24:02

Alice
d1g
Registered: 2017-03-06
Posts: 0

Cannot install KDE 5 (kde-plasma-desktop) on Ascii

I tried this:
```
sed -i "s/jessie/ascii/" /etc/apt/sources.list
apt-get update
apt-get upgrade
apt-get install kde-plasma-desktop
```

```
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
kde-plasma-desktop : Depends: kde-baseapps (>= 4:4.11.3) but it is not going to be installed
                      Depends: kde-runtime (>= 4:4.11.3) but it is not going to be installed
                      Depends: plasma-workspace (>= 4:5.0.0) but it is not going to be installed
                      Depends: plasma-desktop (>= 4:5.0.0) but it is not going to be installed
                      Recommends: sddm (>= 0.11) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
```

And if I try to install mentioned dependencies one by one, eventually I get into dead end. Last time it was:
```
The following packages have unmet dependencies:
upower : Depends: libimobiledevice4 (>= 0.9.7) but it is not installable
```

~Package ~"Suite: ASCII"

________________________________________

Project: devuan/devuan-project
Issue: #56
By: Alice

Offline

#2 2017-05-08 07:00:51

ghp
Member
From: Zwevegem, Belgium
Registered: 2017-05-08
Posts: 6

Re: Cannot install KDE 5 (kde-plasma-desktop) on Ascii

Hallo Alice,
I've only got some 20 years experience with Linux, and it takes me a day to upgrade a system with KDE from Jessie to Ascii, due to dependency problems, kdm being replaced by sddm and whatnot.  Reinstalling may be a lot easier, if you can save what you need from your current system.
Good luck,
Gerard

Offline

#3 2017-08-04 11:41:35

penguinwrangler
Member
Registered: 2017-08-04
Posts: 2

Re: Cannot install KDE 5 (kde-plasma-desktop) on Ascii

I've the same problem.  I completely failed trying to cleanly install Ascii so installed Jessie and then upgraded following https://talk.devuan.org/t/upgrading-dev … -ascii/363.

All went smoothly except that only Xfce was available, not KDE, when I logged in via Slim.

When I tried to install KDE, I was told:

root@aardvark:~# apt-get install task-kde-desktop
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
task-kde-desktop : Depends: tasksel (= 3.33+devuan0.3) but 3.33+devuan1.0 is to be installed
                    Depends: kdm but it is not installable
                    Recommends: kdeaccessibility but it is not going to be installed
                    Recommends: k3b but it is not going to be installed
                    Recommends: k3b-i18n but it is not going to be installed
                    Recommends: plasma-widget-networkmanagement but it is not installable
                    Recommends: kdesudo but it is not going to be installed
                    Recommends: libreoffice-kde but it is not going to be installed
                    Recommends: apper but it is not going to be installed
                    Recommends: libreoffice but it is not going to be installed
                    Recommends: libreoffice-help-en-us but it is not going to be installed
                    Recommends: mythes-en-us but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
root@aardvark:~#

When I then tried to explicitly install KDM, I was told that it wasn't available but was replaced by kde-wallpapers.  That installed cleanly but I still get the same error trying to install task-kde-desktop.

Does anyone know how to work around this?

Thanks in advance.

Offline

#4 2017-08-04 12:49:12

penguinwrangler
Member
Registered: 2017-08-04
Posts: 2

Re: Cannot install KDE 5 (kde-plasma-desktop) on Ascii

In case it helps anyone following this thread, I now have KDE 5 running (very) nicely.

The magic steps to fix the above were:

wget https://packages.devuan.org/devuan/pool/main/t/tasksel/task-kde-desktop_3.33%2Bdevuan1.0_all.deb
dpkg -i --ignore-depends=kdm task-kde-desktop_3.33+devuan1.0_all.deb
apt-get install kde-standard
apt --fix-broken install

In all honesty, I'm not sure that the wget + dpkg for task-kde-desktop were strictly necessary.  It complained when trying to install kde-standard and suggested --fix-broken.  When I did that, it all untangled itself and installed smoothly.  Unfortunately, I'm not really in a position to uninstall it and see exactly which steps were critical.  If anyone following this can try just "apt-get install kde-standard" and see if that works rather than the "apt-get install task-kde-desktop", that may be all you need to do...

Offline

#5 2017-08-18 07:04:08

nathg
Member
Registered: 2017-04-20
Posts: 11

Re: Cannot install KDE 5 (kde-plasma-desktop) on Ascii

Found this old thread & issue. Still ascii has problem with package " tasksel ", need updation of repo.

Depends: tasksel (= 3.33+devuan0.3) but 3.33+devuan1.0 is to be installed

Still one may for DE's ,

aptitude install kde-plasma-desktop
aptitude install kde-standard
aptitude install mate-desktop
aptitude install mate

cheers,

Edit: correction of code.

Last edited by nathg (2017-08-18 07:12:02)

Offline

Board footer